	ORG	#9F00

start	;;ld	b,#9F		;; B = Y coordinate 1..175 (set by ORG #AF00)
loopyy	ld	c,#9F		;; C = X coordinate 1..175 (set by more times)
loopxx	push	bc

	ld	a,c
	cp	b
	jr	nc,loop11	;; If X < Y
	ld	c,b		;; Then swap X and Y
	ld	b,a

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; Simplified CORDIC for computing vector size
;;
;;  Input:
;;    C = coordinate X ... Mandatory condition: X >= Y
;;    B = coordinate Y ... Mandatory condition: Y > 0
;;
;; Output:
;;    C = result = SQR(X^2+Y^2)

cordic	ld	a,c
loop11	sub	b
	jr	nc,loop22
	inc	c
	add	c
loop22	djnz	loop11

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

modulo	bit	3,c		;; If result modulo M < M/2
	pop	bc		;; M = 2^(number_of_bit+1)
				;; (the BIT X,C is changed from basic)
	push	bc
	call	z,#22E5		;; Then call PLOT
	pop	bc

	dec	c
	jr	nz,loopxx
	djnz	loopyy
	ret
 